zzip_dir_alloc_ext_io(3)

NAME
zzip_dir_alloc_ext_io, zzip_dir_alloc - start usage.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR*
zzip_dir_alloc_ext_io(zzip_strings_t* ext, const zzip_plugin_io_t io)

ZZIP_DIR*
zzip_dir_alloc(zzip_strings_t* fileext)

DESCRIPTION
 The zzip_dir_alloc_ext_io function allocates a new ZZIP_DIR handle and do basic initializations before usage by zzip_dir_fdopen zzip_dir_open zzip_file_open or through zzip_open (ext==null flags uses { ".zip" , ".ZIP" } ) (io ==null flags use of posix io defaults)

 The zzip_dir_alloc function is obsolete - it was generally used for implementation and exported to let other code build on it. It is now advised to use zzip_dir_alloc_ext_io now on explicitly, just set that second argument to zero to achieve the same functionality as the old style.

AUTHOR
 Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT
 Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)

SEE ALSO
 zzip_dir_free